Index: uspace/lib/drv/generic/remote_pci.c
===================================================================
--- uspace/lib/drv/generic/remote_pci.c	(revision 99e8fb7bd498e63f4a9fb1eb4573407fd0186f0d)
+++ uspace/lib/drv/generic/remote_pci.c	(revision 46577995860f76c247274a43eb6f67b944f0d3a8)
@@ -51,10 +51,10 @@
 } pci_dev_iface_funcs_t;
 
-int pci_config_space_read_8(async_sess_t *sess, uint32_t address, uint8_t *val)
+errno_t pci_config_space_read_8(async_sess_t *sess, uint32_t address, uint8_t *val)
 {
 	sysarg_t res = 0;
 	
 	async_exch_t *exch = async_exchange_begin(sess);
-	int rc = async_req_2_1(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
+	errno_t rc = async_req_2_1(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
 	    IPC_M_CONFIG_SPACE_READ_8, address, &res);
 	async_exchange_end(exch);
@@ -64,5 +64,5 @@
 }
 
-int pci_config_space_read_16(async_sess_t *sess, uint32_t address,
+errno_t pci_config_space_read_16(async_sess_t *sess, uint32_t address,
     uint16_t *val)
 {
@@ -70,5 +70,5 @@
 	
 	async_exch_t *exch = async_exchange_begin(sess);
-	int rc = async_req_2_1(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
+	errno_t rc = async_req_2_1(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
 	    IPC_M_CONFIG_SPACE_READ_16, address, &res);
 	async_exchange_end(exch);
@@ -78,5 +78,5 @@
 }
 
-int pci_config_space_read_32(async_sess_t *sess, uint32_t address,
+errno_t pci_config_space_read_32(async_sess_t *sess, uint32_t address,
     uint32_t *val)
 {
@@ -84,5 +84,5 @@
 	
 	async_exch_t *exch = async_exchange_begin(sess);
-	int rc = async_req_2_1(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
+	errno_t rc = async_req_2_1(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
 	    IPC_M_CONFIG_SPACE_READ_32, address, &res);
 	async_exchange_end(exch);
@@ -92,8 +92,8 @@
 }
 
-int pci_config_space_write_8(async_sess_t *sess, uint32_t address, uint8_t val)
-{
-	async_exch_t *exch = async_exchange_begin(sess);
-	int rc = async_req_3_0(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
+errno_t pci_config_space_write_8(async_sess_t *sess, uint32_t address, uint8_t val)
+{
+	async_exch_t *exch = async_exchange_begin(sess);
+	errno_t rc = async_req_3_0(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
 	    IPC_M_CONFIG_SPACE_WRITE_8, address, val);
 	async_exchange_end(exch);
@@ -102,9 +102,9 @@
 }
 
-int pci_config_space_write_16(async_sess_t *sess, uint32_t address,
+errno_t pci_config_space_write_16(async_sess_t *sess, uint32_t address,
     uint16_t val)
 {
 	async_exch_t *exch = async_exchange_begin(sess);
-	int rc = async_req_3_0(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
+	errno_t rc = async_req_3_0(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
 	    IPC_M_CONFIG_SPACE_WRITE_16, address, val);
 	async_exchange_end(exch);
@@ -113,9 +113,9 @@
 }
 
-int pci_config_space_write_32(async_sess_t *sess, uint32_t address,
+errno_t pci_config_space_write_32(async_sess_t *sess, uint32_t address,
     uint32_t val)
 {
 	async_exch_t *exch = async_exchange_begin(sess);
-	int rc = async_req_3_0(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
+	errno_t rc = async_req_3_0(exch, DEV_IFACE_ID(PCI_DEV_IFACE),
 	    IPC_M_CONFIG_SPACE_WRITE_32, address, val);
 	async_exchange_end(exch);
@@ -160,5 +160,5 @@
 	uint32_t address = DEV_IPC_GET_ARG1(*call);
 	uint8_t value;
-	int ret = pci_iface->config_space_read_8(fun, address, &value);
+	errno_t ret = pci_iface->config_space_read_8(fun, address, &value);
 	if (ret != EOK) {
 		async_answer_0(callid, ret);
@@ -178,5 +178,5 @@
 	uint32_t address = DEV_IPC_GET_ARG1(*call);
 	uint16_t value;
-	int ret = pci_iface->config_space_read_16(fun, address, &value);
+	errno_t ret = pci_iface->config_space_read_16(fun, address, &value);
 	if (ret != EOK) {
 		async_answer_0(callid, ret);
@@ -195,5 +195,5 @@
 	uint32_t address = DEV_IPC_GET_ARG1(*call);
 	uint32_t value;
-	int ret = pci_iface->config_space_read_32(fun, address, &value);
+	errno_t ret = pci_iface->config_space_read_32(fun, address, &value);
 	if (ret != EOK) {
 		async_answer_0(callid, ret);
@@ -213,5 +213,5 @@
 	uint32_t address = DEV_IPC_GET_ARG1(*call);
 	uint8_t value = DEV_IPC_GET_ARG2(*call);
-	int ret = pci_iface->config_space_write_8(fun, address, value);
+	errno_t ret = pci_iface->config_space_write_8(fun, address, value);
 	if (ret != EOK) {
 		async_answer_0(callid, ret);
@@ -231,5 +231,5 @@
 	uint32_t address = DEV_IPC_GET_ARG1(*call);
 	uint16_t value = DEV_IPC_GET_ARG2(*call);
-	int ret = pci_iface->config_space_write_16(fun, address, value);
+	errno_t ret = pci_iface->config_space_write_16(fun, address, value);
 	if (ret != EOK) {
 		async_answer_0(callid, ret);
@@ -249,5 +249,5 @@
 	uint32_t address = DEV_IPC_GET_ARG1(*call);
 	uint32_t value = DEV_IPC_GET_ARG2(*call);
-	int ret = pci_iface->config_space_write_32(fun, address, value);
+	errno_t ret = pci_iface->config_space_write_32(fun, address, value);
 	if (ret != EOK) {
 		async_answer_0(callid, ret);
